#include <bits/stdc++.h>

using namespace std;

int mat[1505][1505];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n,m;
    cin>>n>>m;
    for(int i=0;i<n;i++)
        for(int j=0;j<m;j++)
            cin>>mat[i][j];
    if(n==1 && m==1)
    {
        cout<<0;
    }
}